/** EMULib Emulation Library *********************************/
/**                                                         **/
/**                            DSP.h                        **/
/**                                                         **/
/** This file contains definitions and declarations for     **/
/** routines in DSP.c.                                      **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1996                      **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/
#ifndef DSP_H
#define DSP_H
#ifdef UNIX

/** /dev/dsp *************************************************/
#define SND_MELODIC  0x01              /* Channel is melodic */
#define SND_NOISE    0x02              /* Channel is noise   */

int InitSound(int Mode,int Verbose);     /* Initialize DSP   */
    /* Returns mode on success, 0 otherwise. Mode is 0 to    */
    /* skip initialization (will be silent).                 */
void TrashSound(void);                   /* Shut down DSP    */
void StopSound(void);                    /* Suspend sound    */
void ResumeSound(void);                  /* Resume sound     */
void SetSound(int Channel,int Type);     /* Set sound type   */
void SetFreq(int Channel,int Freq);      /* Set frequency    */
void SetVolume(int Channel,int Volume);  /* Set volume       */
void SetChannels(int Volume,int Toggle);
    /* Set master volume (0..255) and turn channels on/off.  */
    /* Each bit in Toggle corresponds to a channel (1=on).   */
void Sound(int Channel,int Freq,int Volume);
    /* Generate sound of given frequency (Hz) and volume     */
    /* (0..255) via given channel.                           */
/*************************************************************/

#endif /* UNIX */
#endif /* DSP_H */
